# SAMConnection::subscribe

(PECL sam >= 0.1.0)

SAMConnection::subscribe — Create a subscription to a specified topic

### Description

SAMConnection::subscribe ( string `$targetTopic` ) : string

The "subscribe" method is used to create a new subscription to a specified topic.

### Parameters

`targetTopic`

  The identity of the topic (topic://topicname) to subscribe to.

### Return Values

A subscription identifier that can be used in a subsequent receive call as a selector to obtain any topic data or `FALSE` if an error occurred. The subscription identifier should be used in the receive call in place of the simple topic name.

### Examples

Example #1 Subscribe to a topic

`<?php
$subid = $conn->subscribe('topic://A');
if (!$subid) {
// The subscribe failed!
echo "Subscribe failed ($conn->errno) $conn->error";
}
?>`

### See Also

- SAMConnection::unsubscribe